Bug 244961 - java/openjdk13: Fails to build on 13.0-CURRENT
Summary: java/openjdk13: Fails to build on 13.0-CURRENT
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-java (Nobody)
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2020-03-21 20:20 UTC by Trond.Endrestol
Modified: 2020-04-18 02:09 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (java)


Attachments
Patch for src/hotspot/share/runtime/arguments.cpp (700 bytes, patch)
2020-03-21 20:21 UTC, Trond.Endrestol
no flags Details | Diff
Patch for src/hotspot/share/c1/c1_LIR.cpp (2.54 KB, patch)
2020-03-21 20:23 UTC, Trond.Endrestol
no flags Details | Diff
Patch for src/hotspot/share/runtime/sharedRuntime.cpp (603 bytes, patch)
2020-03-21 20:24 UTC, Trond.Endrestol
no flags Details | Diff
Patch for src/hotspot/share/gc/shenandoah/c1/shenandoahBarrierSetC1.hpp (692 bytes, patch)
2020-03-21 20:25 UTC, Trond.Endrestol
no flags Details | Diff
Patch for src/java.base/share/native/libfdlibm/e_asin.c (715 bytes, patch)
2020-03-21 20:26 UTC, Trond.Endrestol
no flags Details | Diff
Patch for Clang 10 (5.19 KB, patch)
2020-03-29 08:06 UTC, Trond.Endrestol
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Trond.Endrestol 2020-03-21 20:20:05 UTC
Continuing my "crusade" on java/openjdk*, here's five patches to make java/openjdk13 build on 13.0-CURRENT. Stay tuned.
Comment 1 Trond.Endrestol 2020-03-21 20:21:57 UTC
Created attachment 212591 [details]
Patch for src/hotspot/share/runtime/arguments.cpp

Patch 1 of 5. Turned pointer comparison into regular C-style string comparison.
Comment 2 Trond.Endrestol 2020-03-21 20:23:06 UTC
Created attachment 212592 [details]
Patch for src/hotspot/share/c1/c1_LIR.cpp

Patch 2 of 5. Weird indentation makes Clang 10 highly suspicious. Solved by adding curly braces.
Comment 3 Trond.Endrestol 2020-03-21 20:24:01 UTC
Created attachment 212593 [details]
Patch for src/hotspot/share/runtime/sharedRuntime.cpp

Patch 3 of 5. Clang 10 wants the extra parenthesis.
Comment 4 Trond.Endrestol 2020-03-21 20:25:27 UTC
Created attachment 212594 [details]
Patch for src/hotspot/share/gc/shenandoah/c1/shenandoahBarrierSetC1.hpp

Patch 4 of 5. Weird indentation makes Clang 10 highly suspicious. Solved by adding curly braces.
Comment 5 Trond.Endrestol 2020-03-21 20:26:09 UTC
Created attachment 212595 [details]
Patch for src/java.base/share/native/libfdlibm/e_asin.c

Patch 5 of 5. Added curly braces to the else branch.
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-24 08:59:41 UTC
@Trond Can you produce a single patch against the port, fixing the errors you've identified using `make makepatch` [1] please:

[1] https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/slow-patch.html
Comment 7 Lev A. Serebryakov freebsd_committer 2020-03-28 23:43:32 UTC
Same should be done for `java/openjdk14` too.
Comment 8 Trond.Endrestol 2020-03-29 08:06:36 UTC
Created attachment 212820 [details]
Patch for Clang 10
Comment 9 Greg Lewis freebsd_committer 2020-04-15 02:21:36 UTC
Same comment here as for the openjdk11 and openjdk12 patches.  I think the one for e_asin.c is incorrect.
Comment 10 Greg Lewis freebsd_committer 2020-04-15 02:29:09 UTC
Ignore my last comment, these are equivalent changes.
Comment 11 Greg Lewis freebsd_committer 2020-04-18 02:09:36 UTC
These have been included upstream in the 13.0.3 release (although some are done differently).  Thanks!